| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.FindEmptyWorkspace

Portability | unportable
Stability | unstable
Maintainer | arcatan@kapsi.fi

Contents

Usage

Description
Find an empty workspace.
Synopsis

viewEmptyWorkspace :: X ()
tagToEmptyWorkspace :: X ()

Usage

To use, import this module into your `~/.xmonad/xmonad.hs`:

       import XMonad.Actions.FindEmptyWorkspace

and add the desired keybindings, for example:

       , ((modMask x,                xK_m    ), viewEmptyWorkspace)
       , ((modMask x .|. shiftMask,  xK_m    ), tagToEmptyWorkspace)

Now you can jump to an empty workspace with `mod-m`. `Mod-shift-m` will tag the current window to an empty workspace and view it.

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

viewEmptyWorkspace :: X () | Source

Find and view an empty workspace. Do nothing if all workspaces are in use.

tagToEmptyWorkspace :: X () | Source

Tag current window to an empty workspace and view it. Do nothing if all workspaces are in use.
Produced by Haddock version 2.4.2